Metric Alerts - Delete
Delete an alert rule definition.
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Insights/metricAlerts/{ruleName}?api-version=2018-03-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
|
The name of the resource group. The name is case insensitive. |
|
rule
|
path | True |
|
The name of the rule. |
|
subscription
|
path | True |
|
The ID of the target subscription. |
|
api-version
|
query | True |
|
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successful request to delete an metric alert rule |
|
| 204 No Content |
No content: the request was successful, but the response is empty |
|
| Other Status Codes |
BadRequest |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Delete an alert rule
Sample Request
DELETE https://management.azure.com/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/Microsoft.Insights/metricAlerts/chiricutin?api-version=2018-03-01
Sample Response
Definitions
ErrorResponse
Describes the format of Error response.
| Name | Type | Description |
|---|---|---|
| code |
|
Error code |
| message |
|
Error message indicating why the operation failed. |